# tator
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 0.0.1
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import tator 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import tator
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import tator
from tator.rest import ApiException
from pprint import pprint

# Configure API key authorization: TokenAuth
configuration = tator.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = tator.AlgorithmApi(tator.ApiClient(configuration))
project = 56 # int | A unique integer identifying a project.
body = tator.Body37() # Body37 |  (optional)

try:
    api_response = api_instance.create_algorithm_launch_api(project, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlgorithmApi->create_algorithm_launch_api: %s\n" % e)

# Configure API key authorization: TokenAuth
configuration = tator.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = tator.AlgorithmApi(tator.ApiClient(configuration))
project = 56 # int | A unique integer identifying a project.

try:
    api_response = api_instance.retrieve_algorithm(project)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlgorithmApi->retrieve_algorithm: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlgorithmApi* | [**create_algorithm_launch_api**](docs/AlgorithmApi.md#create_algorithm_launch_api) | **POST** /rest/AlgorithmLaunch/{project} | 
*AlgorithmApi* | [**retrieve_algorithm**](docs/AlgorithmApi.md#retrieve_algorithm) | **GET** /rest/Algorithms/{project} | 
*AnalysisApi* | [**create_analysis**](docs/AnalysisApi.md#create_analysis) | **POST** /rest/Analyses/{project} | 
*AnalysisApi* | [**retrieve_analysis**](docs/AnalysisApi.md#retrieve_analysis) | **GET** /rest/Analyses/{project} | 
*AttributeTypeApi* | [**create_attribute_type_list_api**](docs/AttributeTypeApi.md#create_attribute_type_list_api) | **POST** /rest/AttributeTypes/{project} | 
*AttributeTypeApi* | [**destroy_attribute_type**](docs/AttributeTypeApi.md#destroy_attribute_type) | **DELETE** /rest/AttributeType/{id} | 
*AttributeTypeApi* | [**partial_update_attribute_type**](docs/AttributeTypeApi.md#partial_update_attribute_type) | **PATCH** /rest/AttributeType/{id} | 
*AttributeTypeApi* | [**retrieve_attribute_type**](docs/AttributeTypeApi.md#retrieve_attribute_type) | **GET** /rest/AttributeType/{id} | 
*AttributeTypeApi* | [**retrieve_attribute_type_list_api**](docs/AttributeTypeApi.md#retrieve_attribute_type_list_api) | **GET** /rest/AttributeTypes/{project} | 
*AttributeTypeApi* | [**update_attribute_type**](docs/AttributeTypeApi.md#update_attribute_type) | **PUT** /rest/AttributeType/{id} | 
*EntityTypeSchemaApi* | [**retrieve_entity_type_schema_api**](docs/EntityTypeSchemaApi.md#retrieve_entity_type_schema_api) | **GET** /rest/EntityTypeSchema/{id} | 
*FrameAssociationApi* | [**destroy_frame_association**](docs/FrameAssociationApi.md#destroy_frame_association) | **DELETE** /rest/FrameAssociation/{id} | 
*FrameAssociationApi* | [**partial_update_frame_association**](docs/FrameAssociationApi.md#partial_update_frame_association) | **PATCH** /rest/FrameAssociation/{id} | 
*FrameAssociationApi* | [**retrieve_frame_association**](docs/FrameAssociationApi.md#retrieve_frame_association) | **GET** /rest/FrameAssociation/{id} | 
*FrameAssociationApi* | [**update_frame_association**](docs/FrameAssociationApi.md#update_frame_association) | **PUT** /rest/FrameAssociation/{id} | 
*GetFrameApi* | [**retrieve_get_frame_api**](docs/GetFrameApi.md#retrieve_get_frame_api) | **GET** /rest/GetFrame/{id} | 
*JobApi* | [**destroy_job_detail_api**](docs/JobApi.md#destroy_job_detail_api) | **DELETE** /rest/Job/{run_uid} | 
*JobApi* | [**destroy_job_group_detail_api**](docs/JobApi.md#destroy_job_group_detail_api) | **DELETE** /rest/JobGroup/{group_id} | 
*LocalizationApi* | [**create_localization_list_api**](docs/LocalizationApi.md#create_localization_list_api) | **POST** /rest/Localizations/{project} | 
*LocalizationApi* | [**destroy_entity_localization_base**](docs/LocalizationApi.md#destroy_entity_localization_base) | **DELETE** /rest/Localization/{id} | 
*LocalizationApi* | [**destroy_localization_list_api**](docs/LocalizationApi.md#destroy_localization_list_api) | **DELETE** /rest/Localizations/{project} | 
*LocalizationApi* | [**partial_update_entity_localization_base**](docs/LocalizationApi.md#partial_update_entity_localization_base) | **PATCH** /rest/Localization/{id} | 
*LocalizationApi* | [**partial_update_localization_list_api**](docs/LocalizationApi.md#partial_update_localization_list_api) | **PATCH** /rest/Localizations/{project} | 
*LocalizationApi* | [**retrieve_entity_localization_base**](docs/LocalizationApi.md#retrieve_entity_localization_base) | **GET** /rest/Localization/{id} | 
*LocalizationApi* | [**retrieve_localization_list_api**](docs/LocalizationApi.md#retrieve_localization_list_api) | **GET** /rest/Localizations/{project} | 
*LocalizationApi* | [**update_entity_localization_base**](docs/LocalizationApi.md#update_entity_localization_base) | **PUT** /rest/Localization/{id} | 
*LocalizationAssociationApi* | [**destroy_localization_association**](docs/LocalizationAssociationApi.md#destroy_localization_association) | **DELETE** /rest/LocalizationAssociation/{id} | 
*LocalizationAssociationApi* | [**partial_update_localization_association**](docs/LocalizationAssociationApi.md#partial_update_localization_association) | **PATCH** /rest/LocalizationAssociation/{id} | 
*LocalizationAssociationApi* | [**retrieve_localization_association**](docs/LocalizationAssociationApi.md#retrieve_localization_association) | **GET** /rest/LocalizationAssociation/{id} | 
*LocalizationAssociationApi* | [**update_localization_association**](docs/LocalizationAssociationApi.md#update_localization_association) | **PUT** /rest/LocalizationAssociation/{id} | 
*LocalizationTypeApi* | [**create_localization_type_list_api**](docs/LocalizationTypeApi.md#create_localization_type_list_api) | **POST** /rest/LocalizationTypes/{project} | 
*LocalizationTypeApi* | [**destroy_entity_type_localization_attr**](docs/LocalizationTypeApi.md#destroy_entity_type_localization_attr) | **DELETE** /rest/LocalizationType/{id} | 
*LocalizationTypeApi* | [**partial_update_entity_type_localization_attr**](docs/LocalizationTypeApi.md#partial_update_entity_type_localization_attr) | **PATCH** /rest/LocalizationType/{id} | 
*LocalizationTypeApi* | [**retrieve_entity_type_localization_attr**](docs/LocalizationTypeApi.md#retrieve_entity_type_localization_attr) | **GET** /rest/LocalizationType/{id} | 
*LocalizationTypeApi* | [**retrieve_localization_type_list_api**](docs/LocalizationTypeApi.md#retrieve_localization_type_list_api) | **GET** /rest/LocalizationTypes/{project} | 
*LocalizationTypeApi* | [**update_entity_type_localization_attr**](docs/LocalizationTypeApi.md#update_entity_type_localization_attr) | **PUT** /rest/LocalizationType/{id} | 
*MediaApi* | [**delete_media_list**](docs/MediaApi.md#delete_media_list) | **DELETE** /rest/Medias/{project} | 
*MediaApi* | [**destroy_entity_media_base**](docs/MediaApi.md#destroy_entity_media_base) | **DELETE** /rest/Media/{id} | 
*MediaApi* | [**get_media_list**](docs/MediaApi.md#get_media_list) | **GET** /rest/Medias/{project} | 
*MediaApi* | [**partial_update_entity_media_base**](docs/MediaApi.md#partial_update_entity_media_base) | **PATCH** /rest/Media/{id} | 
*MediaApi* | [**retrieve_entity_media_base**](docs/MediaApi.md#retrieve_entity_media_base) | **GET** /rest/Media/{id} | 
*MediaApi* | [**retrieve_media_next_api**](docs/MediaApi.md#retrieve_media_next_api) | **GET** /rest/MediaNext/{id} | 
*MediaApi* | [**retrieve_media_prev_api**](docs/MediaApi.md#retrieve_media_prev_api) | **GET** /rest/MediaPrev/{id} | 
*MediaApi* | [**retrieve_media_sections_api**](docs/MediaApi.md#retrieve_media_sections_api) | **GET** /rest/MediaSections/{project} | 
*MediaApi* | [**update_entity_media_base**](docs/MediaApi.md#update_entity_media_base) | **PUT** /rest/Media/{id} | 
*MediaApi* | [**update_media_list**](docs/MediaApi.md#update_media_list) | **PATCH** /rest/Medias/{project} | 
*MediaTypeApi* | [**create_entity_type_media_base**](docs/MediaTypeApi.md#create_entity_type_media_base) | **POST** /rest/MediaTypes/{project} | 
*MediaTypeApi* | [**destroy_entity_type_media**](docs/MediaTypeApi.md#destroy_entity_type_media) | **DELETE** /rest/MediaType/{id} | 
*MediaTypeApi* | [**partial_update_entity_type_media**](docs/MediaTypeApi.md#partial_update_entity_type_media) | **PATCH** /rest/MediaType/{id} | 
*MediaTypeApi* | [**retrieve_entity_type_media**](docs/MediaTypeApi.md#retrieve_entity_type_media) | **GET** /rest/MediaType/{id} | 
*MediaTypeApi* | [**retrieve_entity_type_media_base**](docs/MediaTypeApi.md#retrieve_entity_type_media_base) | **GET** /rest/MediaTypes/{project} | 
*MediaTypeApi* | [**update_entity_type_media**](docs/MediaTypeApi.md#update_entity_type_media) | **PUT** /rest/MediaType/{id} | 
*MembershipApi* | [**create_membership**](docs/MembershipApi.md#create_membership) | **POST** /rest/Memberships/{project} | 
*MembershipApi* | [**destroy_membership**](docs/MembershipApi.md#destroy_membership) | **DELETE** /rest/Membership/{id} | 
*MembershipApi* | [**partial_update_membership**](docs/MembershipApi.md#partial_update_membership) | **PATCH** /rest/Membership/{id} | 
*MembershipApi* | [**retrieve_membership**](docs/MembershipApi.md#retrieve_membership) | **GET** /rest/Membership/{id} | 
*MembershipApi* | [**retrieve_membership_list**](docs/MembershipApi.md#retrieve_membership_list) | **GET** /rest/Memberships/{project} | 
*MembershipApi* | [**update_membership**](docs/MembershipApi.md#update_membership) | **PUT** /rest/Membership/{id} | 
*NotifyApi* | [**create_notify_api**](docs/NotifyApi.md#create_notify_api) | **POST** /rest/Notify | 
*ProgressApi* | [**create_progress_api**](docs/ProgressApi.md#create_progress_api) | **POST** /rest/Progress/{project} | 
*ProjectApi* | [**create_project**](docs/ProjectApi.md#create_project) | **POST** /rest/Projects | 
*ProjectApi* | [**destroy_project**](docs/ProjectApi.md#destroy_project) | **DELETE** /rest/Project/{id} | 
*ProjectApi* | [**list_projects**](docs/ProjectApi.md#list_projects) | **GET** /rest/Projects | 
*ProjectApi* | [**partial_update_project**](docs/ProjectApi.md#partial_update_project) | **PATCH** /rest/Project/{id} | 
*ProjectApi* | [**retrieve_project**](docs/ProjectApi.md#retrieve_project) | **GET** /rest/Project/{id} | 
*ProjectApi* | [**update_project**](docs/ProjectApi.md#update_project) | **PUT** /rest/Project/{id} | 
*SaveImageApi* | [**create_save_image_api**](docs/SaveImageApi.md#create_save_image_api) | **POST** /rest/SaveImage/{project} | 
*SaveVideoApi* | [**create_save_video_api**](docs/SaveVideoApi.md#create_save_video_api) | **POST** /rest/SaveVideo/{project} | 
*SaveVideoApi* | [**partial_update_save_video_api**](docs/SaveVideoApi.md#partial_update_save_video_api) | **PATCH** /rest/SaveVideo/{project} | 
*SectionAnalysisApi* | [**retrieve_section_analysis_api**](docs/SectionAnalysisApi.md#retrieve_section_analysis_api) | **GET** /rest/SectionAnalysis/{project} | 
*StateApi* | [**create_state_list_api**](docs/StateApi.md#create_state_list_api) | **POST** /rest/States/{project} | 
*StateApi* | [**destroy_entity_state**](docs/StateApi.md#destroy_entity_state) | **DELETE** /rest/State/{id} | 
*StateApi* | [**destroy_state_list_api**](docs/StateApi.md#destroy_state_list_api) | **DELETE** /rest/States/{project} | 
*StateApi* | [**partial_update_entity_state**](docs/StateApi.md#partial_update_entity_state) | **PATCH** /rest/State/{id} | 
*StateApi* | [**partial_update_state_list_api**](docs/StateApi.md#partial_update_state_list_api) | **PATCH** /rest/States/{project} | 
*StateApi* | [**retrieve_entity_state**](docs/StateApi.md#retrieve_entity_state) | **GET** /rest/State/{id} | 
*StateApi* | [**retrieve_state_list_api**](docs/StateApi.md#retrieve_state_list_api) | **GET** /rest/States/{project} | 
*StateApi* | [**update_entity_state**](docs/StateApi.md#update_entity_state) | **PUT** /rest/State/{id} | 
*StateGraphicApi* | [**retrieve_state_graphic_api**](docs/StateGraphicApi.md#retrieve_state_graphic_api) | **GET** /rest/StateGraphic/{id} | 
*StateTypeApi* | [**create_state_type_list_api**](docs/StateTypeApi.md#create_state_type_list_api) | **POST** /rest/StateTypes/{project} | 
*StateTypeApi* | [**destroy_entity_type_state_attr**](docs/StateTypeApi.md#destroy_entity_type_state_attr) | **DELETE** /rest/StateType/{id} | 
*StateTypeApi* | [**partial_update_entity_type_state_attr**](docs/StateTypeApi.md#partial_update_entity_type_state_attr) | **PATCH** /rest/StateType/{id} | 
*StateTypeApi* | [**retrieve_entity_type_state_attr**](docs/StateTypeApi.md#retrieve_entity_type_state_attr) | **GET** /rest/StateType/{id} | 
*StateTypeApi* | [**retrieve_state_type_list_api**](docs/StateTypeApi.md#retrieve_state_type_list_api) | **GET** /rest/StateTypes/{project} | 
*StateTypeApi* | [**update_entity_type_state_attr**](docs/StateTypeApi.md#update_entity_type_state_attr) | **PUT** /rest/StateType/{id} | 
*TokenApi* | [**create_obtain_auth_token**](docs/TokenApi.md#create_obtain_auth_token) | **POST** /rest/Token | 
*TranscodeApi* | [**create_transcode_api**](docs/TranscodeApi.md#create_transcode_api) | **POST** /rest/Transcode/{project} | 
*TreeLeafApi* | [**create_tree_leaf**](docs/TreeLeafApi.md#create_tree_leaf) | **POST** /rest/TreeLeaves/{project} | 
*TreeLeafApi* | [**delete_tree_leaf_list**](docs/TreeLeafApi.md#delete_tree_leaf_list) | **DELETE** /rest/TreeLeaves/{project} | 
*TreeLeafApi* | [**destroy_tree_leaf**](docs/TreeLeafApi.md#destroy_tree_leaf) | **DELETE** /rest/TreeLeaf/{id} | 
*TreeLeafApi* | [**partial_update_tree_leaf**](docs/TreeLeafApi.md#partial_update_tree_leaf) | **PATCH** /rest/TreeLeaf/{id} | 
*TreeLeafApi* | [**partial_update_tree_leaf_list**](docs/TreeLeafApi.md#partial_update_tree_leaf_list) | **PATCH** /rest/TreeLeaves/{project} | 
*TreeLeafApi* | [**retrieve_tree_leaf**](docs/TreeLeafApi.md#retrieve_tree_leaf) | **GET** /rest/TreeLeaf/{id} | 
*TreeLeafApi* | [**retrieve_tree_leaf_list**](docs/TreeLeafApi.md#retrieve_tree_leaf_list) | **GET** /rest/TreeLeaves/{project} | 
*TreeLeafApi* | [**retrieve_tree_leaf_suggestion_api**](docs/TreeLeafApi.md#retrieve_tree_leaf_suggestion_api) | **GET** /rest/TreeLeaves/Suggestion/{ancestor}/{project} | 
*TreeLeafApi* | [**update_tree_leaf**](docs/TreeLeafApi.md#update_tree_leaf) | **PUT** /rest/TreeLeaf/{id} | 
*TreeLeafTypeApi* | [**create_tree_leaf_type_list_api**](docs/TreeLeafTypeApi.md#create_tree_leaf_type_list_api) | **POST** /rest/TreeLeafTypes/{project} | 
*TreeLeafTypeApi* | [**destroy_entity_type_tree_leaf_attr**](docs/TreeLeafTypeApi.md#destroy_entity_type_tree_leaf_attr) | **DELETE** /rest/TreeLeafType/{id} | 
*TreeLeafTypeApi* | [**partial_update_entity_type_tree_leaf_attr**](docs/TreeLeafTypeApi.md#partial_update_entity_type_tree_leaf_attr) | **PATCH** /rest/TreeLeafType/{id} | 
*TreeLeafTypeApi* | [**retrieve_entity_type_tree_leaf_attr**](docs/TreeLeafTypeApi.md#retrieve_entity_type_tree_leaf_attr) | **GET** /rest/TreeLeafType/{id} | 
*TreeLeafTypeApi* | [**retrieve_tree_leaf_type_list_api**](docs/TreeLeafTypeApi.md#retrieve_tree_leaf_type_list_api) | **GET** /rest/TreeLeafTypes/{project} | 
*TreeLeafTypeApi* | [**update_entity_type_tree_leaf_attr**](docs/TreeLeafTypeApi.md#update_entity_type_tree_leaf_attr) | **PUT** /rest/TreeLeafType/{id} | 
*UserApi* | [**list_current_user_ap_is**](docs/UserApi.md#list_current_user_ap_is) | **GET** /rest/User/GetCurrent | 
*UserApi* | [**partial_update_user**](docs/UserApi.md#partial_update_user) | **PATCH** /rest/User/{id} | 
*UserApi* | [**retrieve_user**](docs/UserApi.md#retrieve_user) | **GET** /rest/User/{id} | 
*UserApi* | [**update_user**](docs/UserApi.md#update_user) | **PUT** /rest/User/{id} | 
*VersionApi* | [**create_version**](docs/VersionApi.md#create_version) | **POST** /rest/Versions/{project} | 
*VersionApi* | [**destroy_version**](docs/VersionApi.md#destroy_version) | **DELETE** /rest/Version/{id} | 
*VersionApi* | [**partial_update_version**](docs/VersionApi.md#partial_update_version) | **PATCH** /rest/Version/{id} | 
*VersionApi* | [**retrieve_version**](docs/VersionApi.md#retrieve_version) | **GET** /rest/Version/{id} | 
*VersionApi* | [**retrieve_version_list**](docs/VersionApi.md#retrieve_version_list) | **GET** /rest/Versions/{project} | 
*VersionApi* | [**update_version**](docs/VersionApi.md#update_version) | **PUT** /rest/Version/{id} | 

## Documentation For Models

 - [Body](docs/Body.md)
 - [Body1](docs/Body1.md)
 - [Body10](docs/Body10.md)
 - [Body11](docs/Body11.md)
 - [Body12](docs/Body12.md)
 - [Body13](docs/Body13.md)
 - [Body14](docs/Body14.md)
 - [Body15](docs/Body15.md)
 - [Body16](docs/Body16.md)
 - [Body17](docs/Body17.md)
 - [Body18](docs/Body18.md)
 - [Body19](docs/Body19.md)
 - [Body2](docs/Body2.md)
 - [Body20](docs/Body20.md)
 - [Body21](docs/Body21.md)
 - [Body22](docs/Body22.md)
 - [Body23](docs/Body23.md)
 - [Body24](docs/Body24.md)
 - [Body25](docs/Body25.md)
 - [Body26](docs/Body26.md)
 - [Body27](docs/Body27.md)
 - [Body28](docs/Body28.md)
 - [Body29](docs/Body29.md)
 - [Body3](docs/Body3.md)
 - [Body30](docs/Body30.md)
 - [Body31](docs/Body31.md)
 - [Body32](docs/Body32.md)
 - [Body33](docs/Body33.md)
 - [Body34](docs/Body34.md)
 - [Body35](docs/Body35.md)
 - [Body36](docs/Body36.md)
 - [Body37](docs/Body37.md)
 - [Body38](docs/Body38.md)
 - [Body39](docs/Body39.md)
 - [Body4](docs/Body4.md)
 - [Body40](docs/Body40.md)
 - [Body41](docs/Body41.md)
 - [Body42](docs/Body42.md)
 - [Body43](docs/Body43.md)
 - [Body5](docs/Body5.md)
 - [Body6](docs/Body6.md)
 - [Body7](docs/Body7.md)
 - [Body8](docs/Body8.md)
 - [Body9](docs/Body9.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse20010](docs/InlineResponse20010.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [InlineResponse2011](docs/InlineResponse2011.md)
 - [OneOfbody1Default](docs/OneOfbody1Default.md)
 - [RestLocalizationsprojectMany](docs/RestLocalizationsprojectMany.md)

## Documentation For Authorization


## TokenAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author


